// EdIRMacL.hpp : header file
//

#ifndef _EDIRMACL_HPP_
#define _EDIRMACL_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

//////////////////////////////////////////////////////////////////
// class CPA_EdIR_MacroList
//////////////////////////////////////////////////////////////////

#include <afxtempl.h>

#include "EdIRMac.hpp"

class CPA_EdIR_MacroList : public CList<CPA_EdIR_Macro *,CPA_EdIR_Macro *>
{
	public:
		CMapStringToPtr		*map;
		void				AddTail(CPA_EdIR_Macro *p);

		//Empty constructor
		CPA_EdIR_MacroList();

		//Destructor;
		~CPA_EdIR_MacroList();

		void		m_fn_vDestroyAndRemoveAllEntries();

		// BEGIN CPA2 Cristi Petrescu 98-03-
		// void		m_fn_vCopyMacros (CPA_EdIR_MacroList &clMacroList);
		// void		m_fn_vAddMissingMacros (CPA_EdIR_MacroList &clMacroList);
		// END CPA2 Cristi Petrescu 98-03-

		char		*m_fn_bIsAMacro(CString);
		CString	m_fn_csGetContentOfAMacro(CString);
};

#endif //_EDIRMACL_HPP_
